### Enumeration

# GnomeAutoar Format

#### Declaration

    enum GnomeAutoar.Format

#### Description [src]

This is a non-negative number which represents formats supported by libarchive. A libarchive format is a file format which can store many files as a archive file.

#### Members

`AUTOAR_FORMAT_ZIP`

  `ARCHIVE_FORMAT_ZIP`: Zip archive.

  - Value: `1`
  - Available since: 0.1
`AUTOAR_FORMAT_TAR`

  `ARCHIVE_FORMAT_TAR_PAX_RESTRICTED`: Tar archive, use ustar format is possible. If there are extended headers which cannot be represented in the ustar format, libarchive will use pax interchage format instead.

  - Value: `2`
  - Available since: 0.1
`AUTOAR_FORMAT_CPIO`

  `ARCHIVE_FORMAT_CPIO_POSIX`: CPIO archive, POSIX standard cpio interchage format.

  - Value: `3`
  - Available since: 0.1
`AUTOAR_FORMAT_7ZIP`

  `ARCHIVE_FORMAT_7ZIP`: 7-zip archive.

  - Value: `4`
  - Available since: 0.1
`AUTOAR_FORMAT_AR_BSD`

  `ARCHIVE_FORMAT_AR_BSD`: BSD variant of Unix archive format. This format does not support storing directories.

  - Value: `5`
  - Available since: 0.1
`AUTOAR_FORMAT_AR_SVR4`

  `ARCHIVE_FORMAT_AR_GNU`: GNU/SVR4 variant of Unix archive format. This format does not support storing directories.

  - Value: `6`
  - Available since: 0.1
`AUTOAR_FORMAT_CPIO_NEWC`

  `ARCHIVE_FORMAT_CPIO_SVR4_NOCRC`: CPIO archive, SVR4 non-CRC variant.

  - Value: `7`
  - Available since: 0.1
`AUTOAR_FORMAT_GNUTAR`

  `ARCHIVE_FORMAT_TAR_GNUTAR`: Tar archive, support most popular GNU extensions.

  - Value: `8`
  - Available since: 0.1
`AUTOAR_FORMAT_ISO9660`

  `ARCHIVE_FORMAT_ISO9660`: Raw CD image.

  - Value: `9`
  - Available since: 0.1
`AUTOAR_FORMAT_PAX`

  `ARCHIVE_FORMAT_TAR_PAX_INTERCHANGE`: Tar archive, use pax interchage format.

  - Value: `10`
  - Available since: 0.1
`AUTOAR_FORMAT_USTAR`

  `ARCHIVE_FORMAT_TAR_USTAR`: Tar archive, use old ustar format.

  - Value: `11`
  - Available since: 0.1
`AUTOAR_FORMAT_XAR`

  `ARCHIVE_FORMAT_XAR`: Xar archive.

  - Value: `12`
  - Available since: 0.1